package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.propertyRepair.PropertyRepair;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 物业报修Mapper接口
 * 
 * @author boman
 * @date 2025-02-14
 */
public interface PropertyRepairMapper 
{
    /**
     * 查询物业报修
     * 
     * @param repairId 物业报修主键
     * @return 物业报修
     */
    public PropertyRepair selectPropertyRepairByRepairId(Long repairId);

    /**
     * 查询物业报修列表
     * 
     * @param propertyRepair 物业报修
     * @return 物业报修集合
     */
    public List<PropertyRepair> selectPropertyRepairList(PropertyRepair propertyRepair);

    /**
     * 新增物业报修
     * 
     * @param propertyRepair 物业报修
     * @return 结果
     */
    public int insertPropertyRepair(PropertyRepair propertyRepair);

    /**
     * 修改物业报修
     * 
     * @param propertyRepair 物业报修
     * @return 结果
     */
    public int updatePropertyRepair(PropertyRepair propertyRepair);

    /**
     * 删除物业报修
     * 
     * @param repairId 物业报修主键
     * @return 结果
     */
    public int deletePropertyRepairByRepairId(Long repairId);

    /**
     * 批量删除物业报修
     * 
     * @param repairIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePropertyRepairByRepairIds(Long[] repairIds);

    public List<PropertyRepair> selectPropertyRepairListByTime(@Param("starTime") String starTime, @Param("endTime")String endTime);
}
